/*
 * Copyright (c) 2011, 2017, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package com.sun.ts.tests.jsf.common.viewhandler;

import java.io.IOException;
import java.util.Locale;

import javax.faces.FacesException;
import javax.faces.application.ViewHandler;
import javax.faces.component.UIViewRoot;
import javax.faces.context.FacesContext;

public class TCKViewHandler extends ViewHandler {

    @Override
    public Locale calculateLocale(FacesContext context) {
        return null;
    }

    @Override
    public String calculateRenderKitId(FacesContext context) {
        return null;
    }

    @Override
    public UIViewRoot createView(FacesContext context, String viewId) {
        return null;
    }

    @Override
    public String getActionURL(FacesContext context, String viewId) {
        return null;
    }

    @Override
    public String getResourceURL(FacesContext context, String path) {
        return null;
    }

    @Override
    public void renderView(FacesContext context, UIViewRoot viewToRender)
            throws IOException, FacesException {
        return;
    }

    @Override
    public UIViewRoot restoreView(FacesContext context, String viewId) {
        return null;
    }

    @Override
    public void writeState(FacesContext context) throws IOException {
        return;
    }

    public String getWebsocketURL(FacesContext context, String channel) {
        return null;
    }
}
